Import with Youtube
Endpoint used to import with Youtube.
Request Example
Section titled “Request Example”curl --request POST \ --url https://chat.api.toolzz.com.br/api/v2/extractor/youtube-separated \ --header 'Authorization: Bearer TOKEN_HERE' \ --header 'Content-Type: application/json' \ --data ' { "unityId": "<string>", "datasetId": "<string>", "urls": [ "<string>" ], "folderId": "<string>" }'Response Example
Section titled “Response Example”{ "message": "Youtube content uploaded successfully", "content": "", "folder": { "isRoot": false, "id": "uuid", "institutionId": "uuid", "name": "<string>", "knowLedgeBaseId": "uuid", "knowLedgeBaseFile": [ { "status": "ERROR | SUCCESS | PENDING", "id": "uuid", "institutionId": "uuid", "fileName": "youtube-content-<uuid>.txt", "internalStorageUrl": "<url>", "url": "<url>", "maskName": "Youtube Import <url>.txt", "knowLedgeBaseId": "uuid", "kbFolderId": "uuid", "createdAt": "ISO8601_DATETIME", "updatedAt": "ISO8601_DATETIME", "extension": "txt", "size": 123, "customData": [ { "id": "<youtube_url>" } ], "statusDescription": "<string> | null", "tags": [] } ] }, "urls": [ "<youtube_url>" ], "files": [ { "status": "PENDING | SUCCESS | ERROR", "id": "uuid", "maskName": "Youtube Import <url>.txt", "url": "<url>", "extension": "txt", "size": 123, "customData": [ { "id": "<youtube_url>" } ], "kbFolder": { "id": "uuid", "name": "<string>", "isRoot": false } } ]}Request description
Section titled “Request description”Access Token
Section titled “Access Token”| Parameter | Type | Description | Required |
|---|---|---|---|
Authorization | String | Access token (“Bearer” must be before the token) | Yes |
Body Parameters
Section titled “Body Parameters”| Parameter | Type | Description | Required |
|---|---|---|---|
unityId | UUID | Unit identifier. | Yes |
datasetId | UUID | Dataset identifier. | Yes |
urls | Array | List of Youtube URLs. | Yes |
folderId | UUID | Folder identifier. | Yes |
Response description
Section titled “Response description”| Key | Type | Description |
|---|---|---|
message | String | Confirmation message of the upload/import operation. |
folder.id | UUID | Unique identifier of the folder where the content is being organized. |
folder.name | String | Name of the folder linked in the Knowledge Base. |
folder.knowLedgeBaseFile[] | Array | History or list of already existing files in this folder. |
files[].id | UUID | Unique identifier of the new record generated for the YouTube video. |
files[].status | String | Current processing state (e.g., PENDING, SUCCESS, ERROR). |
files[].maskName | String | File display name (usually includes the original URL). |
files[].url | URL | Link to the text file that will contain the video transcript/data. |
files[].statusDescription | String | Details about failures (e.g., “Invalid YouTube URL”) or progress information. |
files[].customData[].id | URL | The original YouTube video URL that was sent for import. |
files[].size | Number | Generated file size in bytes. |
files[].createdAt | String | Date and time the import was requested (ISO 8601). |
files[].kbFolder | Object | Simplified data of the target folder associated with the file. |
urls[] | Array | List with the origin URL(s) sent in the request. |
Security
Section titled “Security”To access this endpoint, it is necessary to send a valid access token through the authorization header (Authorization) of the request. Additionally, the API is protected by other security measures to safeguard user data.
To access your access token, follow these steps:
- Log in to the ToolzzAI platform
- Click on “Settings”
- Click on “Access Token”
- Copy the access token
